Web lists-archives.com

Re: installing at needs 19 other packages




On Wed, Dec 12, 2018 at 11:38:39AM +0000, Bonno Bloksma wrote:
> Hi,
> 
> My upgraded Jessie machines still have the at command installed by default, my new Stretch machines do not have it.
> I just wanted to install at and noticed it has A LOT of required parts that I do not understand. Why does it want to install 19 packages like exim4-base and mysql-common?
> Is all of that really necessary to get the at command up and running? Should some of them maybe get moved over to "Suggested packages"?
> 
The reason for that is is 'at' wants to be able to mail you command
output, so it includes this:

Recommends: default-mta | mail-transport-agent

The larger than expected list of packages is, I suspect, a result of you
not having an MTA installed your system.

You can do 'apt-get install --no-install-recommends at' to avoid the
extra package, bus if you do not have working local mail delivery or an
MTA with a smarthost configured, then you may not get messaged with the
output of the jobs you run.

Regards,

-Roberto

-- 
Roberto C. Sánchez